SessionFactoryServiceRegistryFactory (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service.spi
Interface SessionFactoryServiceRegistryFactory

All Superinterfaces:
  Serializable, Service

All Known Implementing Classes:
  SessionFactoryServiceRegistryFactoryImpl

    public interface SessionFactoryServiceRegistryFactory

extends Service

Contract for builder of `SessionFactoryServiceRegistry` instances.

Is itself a service within the standard service registry.

Method Summary
`SessionFactoryServiceRegistryImpl` | `buildServiceRegistry(SessionFactoryImplementor sessionFactory, Configuration configuration)` Create the registry.
`SessionFactoryServiceRegistryImpl` | `buildServiceRegistry(SessionFactoryImplementor sessionFactory, MetadataImplementor metadata)` Create the registry.

Method Detail

### buildServiceRegistry

    SessionFactoryServiceRegistryImpl buildServiceRegistry(SessionFactoryImplementor sessionFactory,
                                                           Configuration configuration)

  Create the registry.

  Parameters:
    `sessionFactory` - The (in flux) session factory. Generally this is useful for grabbing a reference for later use. However, care should be taken when invoking on the session factory until after it has been fully initialized.
    `configuration` - The configuration object.
  Returns:
    The registry

### buildServiceRegistry

    SessionFactoryServiceRegistryImpl buildServiceRegistry(SessionFactoryImplementor sessionFactory,
                                                           MetadataImplementor metadata)

  Create the registry.

  Parameters:
    `sessionFactory` - The (in flux) session factory. Generally this is useful for grabbing a reference for later use. However, care should be taken when invoking on the session factory until after it has been fully initialized.
    `metadata` - The configuration object.
  Returns:
    The registry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.